bitset.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <bitset> More...

`#include <cereal/cereal.hpp>`
`#include <bitset>`

Go to the source code of this file.

## Enumerations

enum | cereal::bitset_detail::type : uint8_t { ulong, ullong, string }
| The type the bitset is encoded with.

## Functions

template<class Archive , size_t N>
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::bitset< N > const &bits)
| Serializing (save) for std::bitset.
template<class Archive , size_t N>
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::bitset< N > &bits)
| Serializing (load) for std::bitset.

## Detailed Description

Support for types found in <bitset>